### Method

# GIRepository CallableInfo is_method

since: 2.80

#### Declaration [src]

    gboolean
    gi_callable_info_is_method (
      GICallableInfo* info
    )

#### Description [src]

Determines if the callable info is a method.

For `GISignalInfo`s, this is always true, and for `GICallbackInfo`s always false. For `GIFunctionInfo`s this looks at the `GI_FUNCTION_IS_METHOD` flag on the `GIFunctionInfo`. For `GIVFuncInfo`s this is true when the virtual function has an instance parameter.

Concretely, this function returns whether `gi_callable_info_get_n_args()` matches the number of arguments in the raw C method. For methods, there is one more C argument than is exposed by introspection: the `self` or `this` object.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if `info` is a method, `FALSE` otherwise.